<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

// Theme Options
$lawrules_error_heading = cs_get_option('error_heading');
$lawrules_error_sub_heading = cs_get_option('error_sub_heading');
$lawrules_error_page_content = cs_get_option('error_page_content');
$lawrules_error_heading = ( $lawrules_error_heading ) ? $lawrules_error_heading : esc_html__( '404', 'lawrules' );
$lawrules_error_sub_heading = ( $lawrules_error_sub_heading ) ? $lawrules_error_sub_heading : esc_html__( 'Ooops!!! Something went Wrong', 'lawrules' );
$lawrules_error_page_content = ( $lawrules_error_page_content ) ? $lawrules_error_page_content : esc_html__( 'The page you are looking for is removed or might never existed.', 'lawrules' );

get_header();
?>
<div class="lawyr-mid-wrap">
  <div class="container">
		<div class="lawyr-error">
	    <h1 class="error-title"><?php echo esc_html($lawrules_error_heading); ?></h1>
	    <h2 class="error-subtitle"><?php echo esc_html($lawrules_error_sub_heading); ?></h2>
	    <p><?php echo esc_html($lawrules_error_page_content); ?></p>
	    <?php get_search_form(); ?>
	  </div>
	</div>
</div>
<?php
get_footer();
