<?php
// Logo Image
$lawrules_brand_logo_default = cs_get_option('brand_logo_default') ? cs_get_option('brand_logo_default')['url'] : '';

// Metabox - Header Transparent
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
if($lawrules_meta) {
	$logo = $lawrules_meta['page_logo']['url'] ? $lawrules_meta['page_logo']['url'] : '';
	$lawrules_retina_width = $lawrules_meta['logo_width_height']['width'];
	$lawrules_retina_height = $lawrules_meta['logo_width_height']['height'];
} else {
	$logo = $lawrules_brand_logo_default;
	$lawrules_retina_width = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['width'] : '';
	$lawrules_retina_height = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['height'] : '';
}

$lawrules_retina_width_to = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['width'] : '';
$lawrules_retina_height_to = cs_get_option('logo_width_height') ? cs_get_option('logo_width_height')['height'] : '';

$lawrules_retina_width = $lawrules_retina_width ? $lawrules_retina_width : $lawrules_retina_width_to;
$lawrules_retina_height = $lawrules_retina_height ? $lawrules_retina_height : $lawrules_retina_height_to;
$logo_actual = $logo ? $logo : $lawrules_brand_logo_default;
// Retina Size
// Logo Spacings
$lawrules_brand_logo_unit = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['unit'] : '';
$lawrules_brand_logo_top = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['top'] : '';
$lawrules_brand_logo_bottom = cs_get_option('brand_logo_top_bottom') ? cs_get_option('brand_logo_top_bottom')['bottom'] : '';
if ($lawrules_brand_logo_top !== '') {
	$lawrules_brand_logo_top = $lawrules_brand_logo_top ? 'padding-top:'.$lawrules_brand_logo_top.$lawrules_brand_logo_unit.';' : '';
} else { $lawrules_brand_logo_top = ''; }
if ($lawrules_brand_logo_bottom !== '') {
	$lawrules_brand_logo_bottom = $lawrules_brand_logo_bottom ? 'padding-bottom:'.$lawrules_brand_logo_bottom.$lawrules_brand_logo_unit.';' : '';
} else { $lawrules_brand_logo_bottom = ''; }

$lawrules_brand_logo_top = $lawrules_brand_logo_top ? $lawrules_brand_logo_top : '';
$lawrules_brand_logo_bottom = $lawrules_brand_logo_bottom ? $lawrules_brand_logo_bottom : '';
?>
<div class="lawyr-brand" style="<?php echo esc_attr($lawrules_brand_logo_top); echo esc_attr($lawrules_brand_logo_bottom); ?>">
  <?php do_action( 'lawrules_before_logo_action' ); // Lawrules Action ?>
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
	<?php
		if ($logo_actual) {
			echo '<img src="'. esc_url($logo_actual) .'" alt="'. esc_attr(get_bloginfo( 'name' )) . '" class="default-logo normal-logo" width="'. esc_attr($lawrules_retina_width) .'" height="'. esc_attr($lawrules_retina_height) .'">';
		} else {
			echo '<div class="text-logo">'. esc_html(get_bloginfo( 'name' )) . '</div>';
		}
	?>
	</a>
  <?php do_action( 'lawrules_after_logo_action' ); // Lawrules Action ?>
</div>
<?php
