<?php
// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_id    = ( !is_tag() && !is_archive() && !is_search()) ? $lawrules_id : false;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
if ($lawrules_meta) {
  $lawrules_title_bar_padding = $lawrules_meta['title_area_spacings'];
} else {
  $lawrules_title_bar_padding = '';
}
// Padding - Theme Options
if ($lawrules_title_bar_padding && $lawrules_title_bar_padding !== 'padding-default') {
  $lawrules_title_spacings_unit = $lawrules_meta['title_top_bottom_padding'] ? $lawrules_meta['title_top_bottom_padding']['unit'] : '';
	$lawrules_title_top_spacings = $lawrules_meta['title_top_bottom_padding'] ? $lawrules_meta['title_top_bottom_padding']['top'] : '';
	$lawrules_title_bottom_spacings = $lawrules_meta['title_top_bottom_padding'] ? $lawrules_meta['title_top_bottom_padding']['bottom'] : '';
	if ($lawrules_title_bar_padding === 'padding-custom') {
		$lawrules_title_top_spacings = $lawrules_title_top_spacings ? 'padding-top:'.$lawrules_title_top_spacings.$lawrules_title_spacings_unit.';' : '';
		$lawrules_title_bottom_spacings = $lawrules_title_bottom_spacings ? 'padding-bottom:'.$lawrules_title_bottom_spacings.$lawrules_title_spacings_unit.';' : '';
		$lawrules_custom_padding = $lawrules_title_top_spacings . $lawrules_title_bottom_spacings;
	} else {
		$lawrules_custom_padding = '';
	}
} else {
	$lawrules_title_bar_padding = cs_get_option('title_bar_padding');
  $lawrules_titlebar_padding_unit = cs_get_option('titlebar_top_bottom_padding') ? cs_get_option('titlebar_top_bottom_padding')['unit'] : '';
	$lawrules_titlebar_top_padding = cs_get_option('titlebar_top_bottom_padding') ? cs_get_option('titlebar_top_bottom_padding')['top'] : '';
	$lawrules_titlebar_bottom_padding = cs_get_option('titlebar_top_bottom_padding') ? cs_get_option('titlebar_top_bottom_padding')['bottom'] : '';
	if ($lawrules_title_bar_padding === 'padding-custom') {
		$lawrules_titlebar_top_padding = $lawrules_titlebar_top_padding ? 'padding-top:'.$lawrules_titlebar_top_padding.$lawrules_titlebar_padding_unit.';' : '';
		$lawrules_titlebar_bottom_padding = $lawrules_titlebar_bottom_padding ? 'padding-bottom:'.$lawrules_titlebar_bottom_padding.$lawrules_titlebar_padding_unit.';' : '';
		$lawrules_custom_padding = $lawrules_titlebar_top_padding . $lawrules_titlebar_bottom_padding;
	} else {
		$lawrules_custom_padding = '';
	}
}

// Banner Type - Meta Box
if ($lawrules_meta) {
	$lawrules_banner_type = $lawrules_meta['banner_type'];
} else { $lawrules_banner_type = ''; }

// Background - Type
if( $lawrules_meta && ($lawrules_meta['title_area_bg']['background-color'] || $lawrules_meta['title_area_bg']['background-image']['url']) ) {

  $image      = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-image']['url'] : '';
  $repeat     = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-repeat'] : '';
  $position   = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-position'] : '';
  $attachment = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-attachment'] : '';
  $size       = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-size'] : '';
  $origin     = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-origin'] : '';
  $clip       = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-clip'] : '';
  $blend      = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-blend-mode'] : '';
  $bg_color   = $lawrules_meta['title_area_bg'] ? $lawrules_meta['title_area_bg']['background-color'] : '';
} else {
  $image      = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-image']['url'] : '';
  $repeat     = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-repeat'] : '';
  $position   = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-position'] : '';
  $attachment = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-attachment'] : '';
  $size       = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-size'] : '';
  $origin     = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-origin'] : '';
  $clip       = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-clip'] : '';
  $blend      = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-blend-mode'] : '';
  $bg_color   = cs_get_option('titlebar_bg') ? cs_get_option('titlebar_bg')['background-color'] : '';
}
if ($image || $bg_color) {
  $background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
  $background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
  $background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
  $background_attachment  = ( ! empty( $image ) && ! empty( $attachment ) ) ? ' background-attachment: ' . $attachment . ';' : '';
  $background_size        = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
  $background_origin      = ( ! empty( $image ) && ! empty( $origin ) ) ? ' background-origin: ' . $origin . ';' : '';
  $background_clip        = ( ! empty( $image ) && ! empty( $clip ) ) ? ' background-clip: ' . $clip . ';' : '';
  $background_blend       = ( ! empty( $image ) && ! empty( $blend ) ) ? ' background-blend-mode: ' . $blend . ';' : '';
  $background_color       = ( ! empty( $bg_color ) ) ? ' background-color: ' . $bg_color . ';' : '';

  $background_style       = ( ! empty( $image ) ) ? $background_image . $background_repeat . $background_position . $background_attachment . $background_size . $background_origin . $background_clip . $background_blend : '';
  $title_bg = ( ! empty( $background_style ) || ! empty( $background_color ) ) ? $background_style . $background_color : '';

} else {
  $title_bg = '';
}

if($lawrules_banner_type === 'hide-title-area') { // Hide Title Area
} elseif($lawrules_meta && $lawrules_banner_type === 'revolution-slider') {
   echo do_shortcode($lawrules_meta['page_revslider']);
} elseif($lawrules_meta && $lawrules_banner_type === 'elementor-templates') {
   echo do_shortcode('[lawrules_elementor_template id="'.$lawrules_meta['ele_templates'].'"]');
} else { ?> <!-- LawrulesWP -->
<!-- Lawrules Page Title -->
<div class="lawyr-page-title lawyr-parallax lawyr-overlay <?php echo esc_attr($lawrules_title_bar_padding); ?>" style="<?php echo esc_attr($lawrules_custom_padding . $title_bg); ?>">
  <div class="container">
    <?php do_action( 'lawrules_before_title_action' ); // Lawrules Action ?>
      <h2 class="page-title"><?php echo esc_html(lawrules_title_area()); ?></h2>
    <?php do_action( 'lawrules_after_title_action' ); // Lawrules Action ?>
  </div>
</div>
<?php }
