<?php
/*
* ---------------------------------------------------------------------
* VictorThemes Dynamic Style
* ---------------------------------------------------------------------
*/

function lawrules_scripts_styles_func() {

/* Custom Color */
$all_element_color  = cs_get_customize_option( 'all_element_colors' );
$all_element_secondary_colors = cs_get_customize_option('all_element_secondary_colors');
echo '<style>';
if($all_element_color) { ?>
  .no-class {}
  .lawyr-preloader, .lawyr-topbar, .lawyr-back-top a, .lawyr-big-border-btn:hover,
  .lawyr-big-border-btn:focus, .lawyr-link:after, input[type="submit"], .case-evaluation form input[type="submit"]:hover,
  .case-evaluation form input[type="submit"]:focus, .lawyr-callout, .footer-widget-title:after, .lawyr-blue-btn:hover,
  .lawyr-blue-btn:focus, .history-year:after, .lawyr-section-title .lawyr-btn:hover, .lawyr-section-title .lawyr-btn:focus,
  .footer-widget ul li a:hover:after, .progress-bar, .nav-tabs .nav-link:before, .widget_search form input[type="submit"]:hover,
  .widget_search form input[type="submit"]:focus, .woocommerce .ui-slider-horizontal .ui-slider-range,
  .woocommerce .price_slider_amount button.button:hover, .woocommerce #respond input#submit.alt:hover,
  .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,
  .woocommerce #review_form #respond p.form-submit input[type="submit"], .woocommerce .wc-proceed-to-checkout .button.alt,
  .woocommerce form .form-row input.button:hover, .woocommerce form .form-row input.button:focus, .lawyr-account input[type="submit"]:hover,
  .lawyr-account input[type="submit"]:focus, .lawyr-error input[type="submit"]:hover, .lawyr-error input[type="submit"]:focus,
  .lawyr-account .lawyr-btn:hover, .lawyr-account .lawyr-btn:focus, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover,
  .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-edit-address .woocommerce-Address-title a:hover, .widget_product_search button[type="submit"]:hover, .woocommerce .woocommerce-widget-layered-nav-dropdown__submit:hover, .bullet-list li:before, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle,.woocommerce .widget_price_filter .ui-slider .ui-slider-range, .lawyr-navigation, .lawyr-navigation-wrap, .lawyr-btn {
    background-color: <?php echo esc_attr($all_element_color); ?>;
  }

  a:hover, a:focus, .lawyr-navigation ul > li > a span:before, .strategy-item.lawyr-hover .lawyr-link, .case-evaluation form input[type="submit"], .mate-designation, .testimonial-meta a:hover, .blog-date, .blog-comments a:hover, .blog-item.lawyr-hover .lawyr-link, .footer-contact-item p a:hover, .footer-widget ul li a:hover, .lawyr-copyright .lawyr-social a:hover, .feature-item.lawyr-hover .lawyr-link, .about-link span, .about-link span a, .lawyr-copyright p a:hover, .feature-subtitle, .faq-label-title, .skills-subtitle span, .owl-carousel .owl-nav button.owl-prev:hover:after, .owl-carousel .owl-nav button.owl-next:hover:after, .mate-info-subtitle, .mate-info-meta ul li span a:hover, .lawyr-widget ul li a:before, .post-date, .lawyr-widget ul li a:hover, .comments-reply a, .product_meta a:hover, .woocommerce form .lost_password a:hover, .woocommerce .wc_payment_method .wpcf7-list-item-label a, .contact-item .lawyr-icon, .contact-info p a:hover, .error-subtitle span, .area-details .bullet-list li a:hover, .mean-container .mean-nav ul li a:hover, .mean-container .mean-nav ul > li.active > a, .mean-container .mean-nav ul > li.current-menu-parent > a, .mean-container .mean-nav ul > li.current-menu-ancestor > a,
   .support-link a:hover, .contact-link .lawyr-icon, .lawyr-navigation-wrap .lawyr-social a:hover, .lawyr-widget.widget_rss ul li a:hover,
  .lawyr-widget.widget_recent_comments ul li a:hover, .footer-widget.woocommerce ul.product_list_widget li a:hover, .footer-widget.widget_recent_comments li a:hover, .footer-widget.footer-widget.widget_rss li a:hover, .lawyr-cases h6.cases-subtitle, .lawyr-cases span.lawyr-designation, .lawyr-awards h6.awards-subtitle, .sitemap-item ul li a:before, .sitemap-item ul li a:hover, .lawyr-navigation ul.dropdown-nav > li.current-menu-item > a, .lawyr-navigation ul > li.current-menu-parent > a, .lawyr-navigation ul > li.current-menu-ancestor > a, .lawyr-navigation .dropdown-nav > li > a:hover, .lawyr-navigation .dropdown-nav li a:hover, .lawyr-navigation .dropdown-nav > li:hover > a {
    color: <?php echo esc_attr($all_element_color); ?>;
  }

  .lawyr-big-border-btn:hover, .lawyr-big-border-btn:focus, .welcome-info .lawyr-big-border-btn:hover,
  .welcome-info .lawyr-big-border-btn:focus, .case-evaluation form input[type="submit"],
  .lawyr-section-title .lawyr-btn:hover, .lawyr-section-title .lawyr-btn:focus,
  .widget_search form input[type="submit"]:hover, .widget_search form input[type="submit"]:focus, .lawyr-blog-tags a:hover { border-color: <?php echo esc_attr($all_element_color); ?>; }

  .lawyr-blog-tags a:hover {background: <?php echo esc_attr($all_element_color); ?>;}

  ::selection {background: <?php echo esc_attr($all_element_color); ?>;}
  ::-webkit-selection {background: <?php echo esc_attr($all_element_color); ?>;}
  ::-moz-selection {background: <?php echo esc_attr($all_element_color); ?>;}
  ::-o-selection {background: <?php echo esc_attr($all_element_color); ?>;}
  ::-ms-selection {background: <?php echo esc_attr($all_element_color); ?>;}

<?php } if($all_element_secondary_colors) { ?>
  .no-class {}
  .lawyr-navigation, .area-item, .lawyr-back-top a:hover, .lawyr-back-top a:focus, .helpful-item, input[type="submit"]:hover, .lawyr-blue-btn, .lawyr-callout.callout-blue-bg, .btn-link:before, .popular-tags a:hover, .popular-tags a:focus, .post-grid-view:hover .grid-icon, .post-grid-view:hover .grid-icon:before, .post-grid-view:hover .grid-icon:after, .history-item.history-hover .history-year:after, .history-wrap .history-item:after, .woocommerce span.onsale, .woocommerce ul.products li.product .button.add_to_cart_button:hover,.woocommerce ul.products li.product .button:hover, .woocommerce ul.products li.product .added_to_cart.wc-forward,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce #review_form #respond .form-submit input, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #review_form #respond p.form-submit input[type="submit"]:hover, .woocommerce #review_form #respond p.form-submit input[type="submit"]:focus, .woocommerce a.remove:hover, .woocommerce .cart .actions .coupon input[type="submit"]:hover, .woocommerce .cart .actions .coupon input[type="submit"]:focus, .woocommerce .cart .actions .coupon button[type="submit"]:hover, .woocommerce .cart .actions .coupon button[type="submit"]:focus, .woocommerce .calculate-shipping input[type="submit"]:hover, .woocommerce .calculate-shipping input[type="submit"]:focus, .woocommerce .calculate-shipping button[type="submit"]:hover, .woocommerce .calculate-shipping button[type="submit"]:focus, .woocommerce .wc-proceed-to-checkout .button.alt:hover, .woocommerce .wc-proceed-to-checkout .button.alt:focus, .radio-icon-wrap input[type="radio"]:checked + .radio-icon:before, .lawyr-account input[type="submit"], .lawyr-social.rounded a:hover, .lawyr-social.rounded a:focus, .lawyr-error input[type="submit"], .price-item.lawyr-hover .lawyr-btn,.woocommerce button.button.alt.disabled,.woocommerce button.button.alt.disabled:hover, .woocommerce-edit-address .woocommerce-Address-title a {
    background-color: <?php echo esc_attr($all_element_secondary_colors); ?>;
  }

  .lawyr-link, .blog-date a:hover, .about-link span a:hover, .history-year, .story-subtitle, .faq-label-subtitle a, .faq-label-title a:hover, .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active, .nav-tabs .nav-link:after, .page-link, .page-item.active .page-link, .more-post-link, .woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce div.product .woocommerce-tabs ul.tabs li.r-tabs-state-active a, .woocommerce .wc_payment_method .wpcf7-list-item-label a:hover, .lawyr-pagination span.page-numbers.current, .lawyr-pagination ul li a,.wp-link-pages a,.wp-link-pages > span, ul.mate-contact, ul.mate-contact li a:hover, .woocommerce p.stars.selected a.active:before, .woocommerce p.stars:hover a:before, .woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul .is-active a, .woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul li a:hover, .price-item h3, .lawyr-pagination ul li a:hover, .woocommerce p.stars a {
    color: <?php echo esc_attr($all_element_secondary_colors); ?>;
  }

  .woocommerce .cart .actions input[type="submit"].update-cart, .woocommerce .cart .actions button[type="submit"], .widget_tag_cloud a:hover, .widget_product_search button[type="submit"], .woocommerce .woocommerce-widget-layered-nav-dropdown__submit {
    background: <?php echo esc_attr($all_element_secondary_colors); ?>;
  }

  .btn-link:before, .page-item.active .page-link, .popular-tags a:hover, .popular-tags a:focus, blockquote, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce .ui-slider .ui-slider-handle, .woocommerce .cart .actions .coupon input[type="submit"]:hover, .woocommerce .cart .actions .coupon input[type="submit"]:focus, .woocommerce .cart .actions .coupon button[type="submit"]:hover, .woocommerce .cart .actions .coupon button[type="submit"]:focus, .woocommerce .calculate-shipping input[type="submit"]:hover, .woocommerce .calculate-shipping input[type="submit"]:focus, .woocommerce .calculate-shipping button[type="submit"]:hover, .woocommerce .calculate-shipping button[type="submit"]:focus, .contact-title-wrap, .lawyr-pagination span.page-numbers.current, .wp-link-pages > span, .woocommerce .cart .actions input[type="submit"].update-cart, .woocommerce .cart .actions button[type="submit"] {
    border-color: <?php echo esc_attr($all_element_secondary_colors); ?>;
  }
<?php }

// Topbar Colors
$topbar_text_color  = cs_get_customize_option( 'topbar_text_color' );
$topbar_link_color  = cs_get_customize_option( 'topbar_link_color' );
$topbar_bg_color  = cs_get_customize_option( 'topbar_bg_color' );
$top_button_link_color  = cs_get_customize_option( 'top_button_link_color' );
$top_button_bg_color  = cs_get_customize_option( 'top_button_bg_color' );
$top_button_border_color  = cs_get_customize_option( 'top_button_border_color' );
if($topbar_text_color) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-one, .lawyr-topbar.topbar-style-one p, .lawyr-topbar.topbar-style-one ul, .lawyr-topbar.topbar-style-one .lawyr-language .nice-select, .lawyr-topbar.topbar-style-one .lawyr-language select {
    color: <?php echo esc_attr($topbar_text_color); ?>;
  }
  .lawyr-topbar.topbar-style-one .lawyr-language .nice-select:after {
    border-color: <?php echo esc_attr($topbar_text_color); ?>;
  }
<?php }
if(isset($topbar_link_color['color']) || isset($topbar_link_color['hover'])) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-one ul li a, .lawyr-topbar.topbar-style-one a {
    color: <?php echo esc_attr($topbar_link_color['color']); ?>;
  }
  .lawyr-topbar.topbar-style-one ul li a:hover, .lawyr-topbar.topbar-style-one a:hover {
    color: <?php echo esc_attr($topbar_link_color['hover']); ?>;
  }
  .lawyr-topbar.topbar-style-one ul li:after {
    background: <?php echo esc_attr($topbar_link_color['hover']); ?>;
  }
<?php }
if($topbar_bg_color) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-one {
    background: <?php echo esc_attr($topbar_bg_color); ?>;
  }
<?php }

// Topbar Style Two Colors
$topbar_text_color_two  = cs_get_customize_option( 'topbar_text_color_two' );
$topbar_link_color_two  = cs_get_customize_option( 'topbar_link_color_two' );
$topbar_bg_color_two  = cs_get_customize_option( 'topbar_bg_color_two' );
if($topbar_text_color_two) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-two, .lawyr-topbar.topbar-style-two p, .lawyr-topbar.topbar-style-two ul, .lawyr-topbar.topbar-style-two .lawyr-language .nice-select, .lawyr-topbar.topbar-style-two .lawyr-language select {
    color: <?php echo esc_attr($topbar_text_color_two); ?>;
  }
  .lawyr-topbar.topbar-style-two .lawyr-language .nice-select:after {
    border-color: <?php echo esc_attr($topbar_text_color_two); ?>;
  }
<?php }
if(isset($topbar_link_color_two['color']) || isset($topbar_link_color_two['hover'])) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-two ul li a, .lawyr-topbar.topbar-style-two a {
    color: <?php echo esc_attr($topbar_link_color_two['color']); ?>;
  }
  .lawyr-topbar.topbar-style-two ul li a:hover, .lawyr-topbar.topbar-style-two a:hover {
    color: <?php echo esc_attr($topbar_link_color_two['hover']); ?>;
  }
  .lawyr-topbar.topbar-style-two ul li:after {
    background: <?php echo esc_attr($topbar_link_color_two['hover']); ?>;
  }
<?php }
if($topbar_bg_color_two) { ?>
  .no-class {}
  .lawyr-topbar.topbar-style-two {
    background: <?php echo esc_attr($topbar_bg_color_two); ?>;
  }
<?php }

// Menu
$menubar_color = cs_get_customize_option('menubar_color');
$header_link_color  = cs_get_customize_option( 'header_link_color' );
$submenu_bg_color  = cs_get_customize_option( 'submenu_bg_color' );
$submenu_link_color  = cs_get_customize_option( 'submenu_link_color' );
$submenu_border_color = cs_get_customize_option('submenu_border_color');
$right_link_color  = cs_get_customize_option( 'right_link_color' );
$header_text_color = cs_get_customize_option('header_text_color');
$header_border_color = cs_get_customize_option('header_border_color');
$header_bg_color = cs_get_customize_option('header_bg_color');
$header_icon_color = cs_get_customize_option('header_icon_color');

if($menubar_color) { ?>
  .no-class {}
  .lawyr-navigation, .lawyr-navigation-wrap {
    background-color: <?php echo esc_attr($menubar_color); ?>;
  }
<?php }
if(isset($header_link_color['color']) || isset($header_link_color['hover'])) { ?>
  .no-class {}
  .lawyr-navigation > ul > li > a, .lawyr-navigation-wrap .lawyr-social a {
    color: <?php echo esc_attr($header_link_color['color']); ?>;
  }
  .lawyr-navigation > ul > li.current-menu-ancestor > a, .lawyr-navigation > ul > li.active > a, .dropdown-nav > li.active > a, .lawyr-navigation ul > li > a span:before, .lawyr-navigation-wrap .lawyr-social a:hover, .lawyr-navigation ul > li:hover > a, .lawyr-navigation-wrap .lawyr-navigation > ul > li.current-menu-parent > a {
    color: <?php echo esc_attr($header_link_color['hover']); ?>;
  }
  .lawyr-navigation .nav-text .nav-dots, .lawyr-navigation .nav-text .nav-dots:before, .lawyr-navigation .nav-text .nav-dots:after {
    border-color: <?php echo esc_attr($header_link_color['hover']); ?>;
  }
<?php }
if($submenu_bg_color || $submenu_border_color || isset($submenu_link_color['color']) || isset($submenu_link_color['hover'])) { ?>
  .no-class {}
  .dropdown-nav {
    background-color: <?php echo esc_attr($submenu_bg_color); ?>;
  }
  .dropdown-nav > li > a {
    border-color: <?php echo esc_attr($submenu_border_color); ?>;
  }
  .lawyr-navigation ul .dropdown-nav li a, .lawyr-navigation ul > li:hover .has-dropdown.sub > a:after {
    color: <?php echo esc_attr($submenu_link_color['color']); ?>;
  }
  .lawyr-navigation ul .dropdown-nav > li.active > a, .lawyr-navigation .dropdown-nav > li > a:hover, .lawyr-navigation .dropdown-nav li a:hover, .lawyr-navigation .dropdown-nav > li:hover > a {
    color: <?php echo esc_attr($submenu_link_color['hover']); ?>;
  }
  .dropdown-nav:before {
    border-bottom-color: <?php echo esc_attr($submenu_bg_color); ?>;
  }
<?php }
if($header_bg_color) { ?>
  .no-class {}
  .lawyr-header, .is-sticky .lawyr-header {
    background-color: <?php echo esc_attr($header_bg_color); ?>;
  }
<?php }
if($header_text_color) { ?>
  .no-class {}
  .lawyr-header, .lawyr-header p, .lawyr-header .contact-link span {
    color: <?php echo esc_attr($header_text_color); ?>;
  }
<?php }
if($header_icon_color) { ?>
  .no-class {}
  .lawyr-header .lawyr-icon {
    color: <?php echo esc_attr($header_icon_color); ?>;
  }
<?php }
if($header_border_color) { ?>
  .no-class {}
  .lawyr-header .contact-link, .lawyr-header .order-lg-1 .contact-link {
    border-color: <?php echo esc_attr($header_border_color); ?>;
  }
<?php }
if(isset($right_link_color['color']) || isset($right_link_color['hover']) ) { ?>
  .no-class {}
  .lawyr-header a, .lawyr-default-link {
    color: <?php echo esc_attr($right_link_color['color']); ?>;
  }
  .lawyr-header a:hover, .lawyr-default-link:hover, .search-link a:focus, .lawyr-default-link:focus {
    color: <?php echo esc_attr($right_link_color['hover']); ?>;
  }
<?php }
$titlebar_title_color = cs_get_customize_option('titlebar_title_color');
if($titlebar_title_color) { ?>
  .no-class {}
  .lawyr-page-title h2 {
    color: <?php echo esc_attr($titlebar_title_color); ?>;
  }
<?php }
// Mobile Menu
$mobile_menu_color  = cs_get_customize_option( 'mobile_menu_color' );
$mobile_menu_link_color  = cs_get_customize_option( 'mobile_menu_link_color' );
$mobile_menu_expand_color  = cs_get_customize_option( 'mobile_menu_expand_color' );
$mobile_menu_expand_bg_color  = cs_get_customize_option( 'mobile_menu_expand_bg_color' );
if($mobile_menu_color) {
if( isset($mobile_menu_color['toggle_color']) || isset($mobile_menu_color['bg_color']) || isset($mobile_menu_color['border_color'])){ ?>
  .no-class {}
  .mean-container a.meanmenu-reveal span,
  .mean-container a.meanmenu-reveal span:before,
  .mean-container a.meanmenu-reveal span:after,
  .mean-container a.meanmenu-reveal.meanclose span:before {
    background: <?php echo esc_attr($mobile_menu_color['toggle_color']); ?>;
  }
  .mean-container a.meanmenu-reveal {border-color: <?php echo esc_attr($mobile_menu_color['toggle_color']); ?>;}
  .mean-container .mean-nav {
    background-color: <?php echo esc_attr($mobile_menu_color['bg_color']); ?>;
  }
  .mean-container .dropdown-nav.normal-style .current-menu-parent > a, .mean-container .mean-nav ul li li a, .mean-nav .dropdown-nav li.active > a, .mean-container .mean-nav ul > li a, .mean-container .mean-nav ul li a,
  .mean-container .mean-nav ul li li a, .mean-container .mean-nav ul li li li a, .mean-container .mean-nav ul li li li li a {
    border-color: <?php echo esc_attr($mobile_menu_color['border_color']); ?>;
  }
  .mean-container .mean-nav ul li a.mean-expand {
    border-color: <?php echo esc_attr($mobile_menu_color['border_color']); ?>!important;
  }
<?php } }
if($mobile_menu_link_color) {
if( isset($mobile_menu_link_color['color']) || isset($mobile_menu_link_color['hover'])) { ?>
  .no-class {}
  .mean-container .mean-nav ul li a {
    color: <?php echo esc_attr($mobile_menu_link_color['color']); ?>;
  }
  .mean-container .mean-nav > ul > li:hover > a,
  .mean-container .mean-nav > ul > li.current-menu-ancestor > a,
  .mean-container .mean-nav > ul > li.active > a,
  .mean-container .mean-nav .dropdown-nav > li:hover > a,
  .mean-container .mean-nav .dropdown-nav > li > a:hover,
  .mean-container .mean-nav .dropdown-nav > li.active > a {
    color: <?php echo esc_attr($mobile_menu_link_color['hover']); ?>;
  }
<?php } }
if($mobile_menu_expand_color) {
if( isset($mobile_menu_expand_color['color']) || isset($mobile_menu_expand_color['hover'])) { ?>
  .no-class {}
  .mean-container .mean-nav ul li a.mean-expand {
    color: <?php echo esc_attr($mobile_menu_expand_color['color']); ?>;
  }
  .mean-container .mean-nav ul li a.mean-expand:hover,
  .mean-container .mean-nav ul li a.mean-expand:focus,
  .mean-container .mean-nav ul li:hover > a.mean-expand,
  .mean-container .mean-nav ul li:focus > a.mean-expand,
  .lawyr-header .mean-container .dropdown-nav > li:hover > a.mean-expand,
  .lawyr-header .mean-container .dropdown-nav > li:focus > a.mean-expand {
    color: <?php echo esc_attr($mobile_menu_expand_color['hover']); ?>;
  }
<?php } }
if($mobile_menu_expand_bg_color) {
if( isset($mobile_menu_expand_bg_color['color']) || isset($mobile_menu_expand_bg_color['hover'])) { ?>
  .no-class {}
  .mean-container .mean-nav ul li a.mean-expand {
    background-color: <?php echo esc_attr($mobile_menu_expand_bg_color['color']); ?>;
  }
  .mean-container .mean-nav ul li a.mean-expand:hover,
  .mean-container .mean-nav ul li a.mean-expand:focus,
  .mean-container .mean-nav ul li:hover > a.mean-expand,
  .mean-container .mean-nav ul li:focus > a.mean-expand,
  .lawyr-header .mean-container .dropdown-nav > li:hover > a.mean-expand,
  .lawyr-header .mean-container .dropdown-nav > li:focus > a.mean-expand {
    background-color: <?php echo esc_attr($mobile_menu_expand_bg_color['hover']); ?>;
  }
<?php } }

// Body
$body_color = cs_get_customize_option('body_color');
$body_links_color = cs_get_customize_option('body_links_color');
$sidebar_content_color = cs_get_customize_option('sidebar_content_color');
$sidebar_links_color = cs_get_customize_option('sidebar_links_color');
if($body_color) { ?>
  .no-class {}
  .lawyr-mid-wrap.full-width p, .lawyr-mid-wrap p, .lawyr-mid-wrap.full-width span, .lawyr-mid-wrap.full-width ul li, .news-info p, .news-detail-wrap p, .lawyr-post-single p, .lawyr-portfolio-info p, .bullets-list li, .speaker-info p, .lawyr-mid-wrap form input, .lawyr-mid-wrap form textarea, .lawyr-mid-wrap form select, .plan-price sub, .plan-price sup, .blog-date, .blog-info p, .lawyr-pagination ul li a, .lawyr-pagination ul li span, .lawyr-comments-area .comment-respond label, .lawyr-comments-area .lawyr-comments-meta .comments-date, .lawyr-mid-wrap form label, .woocommerce .woocommerce-result-count, .woocommerce-page .woocommerce-result-count, .woocommerce .woocommerce-ordering .nice-select, .woocommerce ul.products li.product .price, .woocommerce ul.products li.product .price del, .woocommerce nav.woocommerce-pagination ul li span, .woocommerce div.product .summary .product_meta, .woocommerce .quantity .qty, .woocommerce div.product .woocommerce-tabs p, .woocommerce div.product p.price, .woocommerce div.product p.price del, .woocommerce table.shop_attributes th, .woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong, .woocommerce #reviews #comments ol.commentlist li .meta, .woocommerce #reviews #comments ol.commentlist li time, .woocommerce div.product form.cart .group_table td, .woocommerce table.shop_table td, .woocommerce ul#shipping_method li label, .select2-container--default .select2-selection--single .select2-selection__rendered, .select2-container--default .select2-selection--single .select2-selection__placeholder, .woocommerce-error, .woocommerce-info, .woocommerce-message, .woocommerce .woocommerce-checkout-review-order table.shop_table .cart_item td.product-name, .woocommerce .woocommerce-checkout-review-order table.shop_table .cart_item td.product-name a, .woocommerce .select2-container--default .select2-selection--single .select2-selection__placeholder, .woocommerce div.product p, .woocommerce .woocommerce-checkout-review-order table.shop_table td.product-name a, .woocommerce .woocommerce-checkout-review-order table.shop_table td.product-total .amount, .woocommerce-privacy-policy-text p, .woocommerce form.checkout_coupon p:first-child, .woocommerce-checkout form.login p:first-child, .bullet-list li span, .lawyr-blog-excerpt, .blog-detail-wrap blockquote p, .social-label {
    color: <?php echo esc_attr($body_color); ?>;
  }
<?php }
if($body_links_color){
if( isset($body_links_color['color']) || isset($body_links_color['hover'])) { ?>
  .no-class {}
  .lawyr-mid-wrap.full-width a, .lawyr-mid-wrap.full-width ul li a, .lawyr-post-single a, .lawyr-portfolio-info a, .portfolio-meta p a, .tribe-events-content a, .bullets-list li a, .speaker-info a, .tribe-events-single-section a, .lawyr-mid-wrap .lawyr-social a, .blog-date a, .blog-title a, .blog-style-two .blog-info .lawyr-link, .lawyr-comments-area .comment-reply-link, .goal-item a, .lawyr-link, .accordion-title a, .woocommerce ul.products li.product .woocommerce-loop-product__title a, .woocommerce ul.products li.product .button, .woocommerce nav.woocommerce-pagination ul li a, .woocommerce div.product .product_meta a, .woocommerce div.product .woocommerce-tabs ul.tabs li a, .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, .woocommerce-product-rating .woocommerce-review-link, .woocommerce div.product form.cart .group_table td.woocommerce-grouped-product-list-item__label a, .woocommerce table.shop_table td a, .woocommerce-error a, .woocommerce-info a, .woocommerce-message a, .woocommerce-privacy-policy-text a, .lawyr-mid-wrap .strategy-item .lawyr-link, .lawyr-mid-wrap.full-width .lawyr-link, .blog-comments a, .blog-comments {
    color: <?php echo esc_attr($body_links_color['color']); ?>;
  }
  .lawyr-mid-wrap.full-width a:hover, .lawyr-mid-wrap.full-width ul li a:hover, .lawyr-post-single a:hover, .lawyr-portfolio-info a:hover, .portfolio-meta p a:hover, .tribe-events-content a:hover, .bullets-list li a:hover, .speaker-info a:hover, .tribe-events-single-section a:hover, .lawyr-mid-wrap .lawyr-social a:hover, .service-item.lawyr-hover .lawyr-link, .blog-date a:hover, .blog-date a:focus, .blog-title a:hover, .blog-title a:focus, .blog-item.lawyr-hover .lawyr-link, .lawyr-comments-area .comment-reply-link:hover, .goal-item a:hover, .goal-item.lawyr-hover .lawyr-link, .accordion-title a:hover, .woocommerce ul.products li.product .woocommerce-loop-product__title a:hover, .woocommerce ul.products li.product .button:hover, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce div.product .product_meta a:hover, .woocommerce div.product .woocommerce-tabs ul.tabs li a:hover, .woocommerce div.product .woocommerce-tabs ul.tabs li.r-tabs-state-active a, .woocommerce-product-rating .woocommerce-review-link:hover, .woocommerce div.product form.cart .group_table td.woocommerce-grouped-product-list-item__label a:hover, .woocommerce table.shop_table td a:hover, .woocommerce-error a:hover, .woocommerce-info a:hover, .woocommerce-message a:hover, .woocommerce-privacy-policy-text a:hover, .lawyr-mid-wrap .strategy-item.lawyr-hover .lawyr-link, .lawyr-mid-wrap.full-width .lawyr-hover .lawyr-link, .blog-comments a:hover {
    color: <?php echo esc_attr($body_links_color['hover']); ?>;
  }
  .lawyr-link:after, .area-style-three .area-item .lawyr-link:after {
    background-color: <?php echo esc_attr($body_links_color['hover']); ?>;
  }
<?php } }
if ($sidebar_content_color) { ?>
  .no-class {}
  .lawyr-secondary p, .lawyr-secondary .lawyr-widget,
  .lawyr-secondary .widget_rss .rssSummary,
  .lawyr-secondary .news-time, .lawyr-secondary .recentcomments,
  .lawyr-secondary input[type="text"], .lawyr-secondary .nice-select, .lawyr-secondary caption,
  .lawyr-secondary table td, .lawyr-secondary .lawyr-widget input[type="search"], .lawyr-widget ul li,
  .lawyr-secondary .post-date, .lawyr-secondary select,
  .lawyr-secondary .woocommerce ul.cart_list .woocommerce-Price-amount,
  .lawyr-secondary .woocommerce ul.product_list_widget .woocommerce-Price-amount,
  .lawyr-secondary .widget_price_filter .price_slider_amount .price_label,
  .lawyr-secondary .select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: <?php echo esc_attr($sidebar_content_color); ?>;
  }
  <?php }
  if($sidebar_links_color){
  if (isset($sidebar_links_color['color']) || isset($sidebar_links_color['hover'])) { ?>
  .no-class {}
  .lawyr-secondary a,
  .lawyr-mid-wrap .lawyr-secondary a,
  .lawyr-secondary .lawyr-widget ul li a,
  .lawyr-widget ul li a,
  .widget_list_style ul a,
  .widget_categories ul a,
  .widget_archive ul a,
  .widget_recent_comments ul a,
  .widget_recent_entries ul a,
  .widget_meta ul a,
  .widget_pages ul a,
  .widget_rss ul a,
  .widget_nav_menu ul a,
  .widget_layered_nav ul a,
  .post-widget .nav-tabs a.nav-link,
  .widget_product_categories ul a {
    color: <?php echo esc_attr($sidebar_links_color['color']); ?>;
  }
  .lawyr-secondary a:hover,
  .lawyr-widget ul li a:hover,
  .lawyr-widget ul li a:focus,
  .lawyr-mid-wrap .lawyr-secondary a:hover,
  .lawyr-mid-wrap .lawyr-secondary a:focus,
  .lawyr-secondary .lawyr-widget ul li a:hover,
  .widget_list_style ul a:hover,
  .widget_list_style ul a:focus,
  .widget_categories ul a:hover,
  .widget_categories ul a:focus,
  .widget_archive ul a:hover,
  .widget_archive ul a:focus,
  .widget_recent_comments ul a:hover,
  .widget_recent_comments ul a:focus,
  .widget_recent_entries ul a:hover,
  .widget_recent_entries ul a:focus,
  .widget_meta ul a:hover,
  .widget_meta ul a:focus,
  .widget_pages ul a:hover,
  .widget_pages ul a:focus,
  .post-widget .nav-tabs a.nav-link:hover,
  .post-widget .nav-tabs a.nav-link:focus,
  .post-widget .nav-tabs a.nav-link.active,
  .post-widget .nav-tabs a.nav-link.active:hover,
  .post-widget .nav-tabs a.nav-link.active:focus,
  .widget_rss ul a:hover,
  .widget_rss ul a:focus,
  .widget_nav_menu ul a:hover,
  .widget_nav_menu ul a:focus,
  .widget_layered_nav ul a:hover,
  .widget_layered_nav ul a:focus,
  .widget_product_categories ul a:hover, .widget_product_categories ul a:focus {
    color: <?php echo esc_attr($sidebar_links_color['hover']); ?>;
  }
  .post-widget .nav-tabs a.nav-link.active {
    border-color: <?php echo esc_attr($sidebar_links_color['hover']); ?>;
  }
<?php } }
$content_heading_color = cs_get_customize_option('content_heading_color');
if($content_heading_color){
if (isset($content_heading_color['content_heading_color']) || isset($content_heading_color['sidebar_heading_color']) ) { ?>
  .no-class {}
  .lawyr-mid-wrap.full-width h1, .lawyr-mid-wrap.full-width h2, .lawyr-mid-wrap.full-width h3, .lawyr-mid-wrap.full-width h4, .lawyr-mid-wrap.full-width h5, .lawyr-mid-wrap.full-width h6, .lawyr-primary h1, .lawyr-primary h2, .lawyr-primary h3, .lawyr-primary h4, .lawyr-primary h5, .lawyr-primary h6, .tribe-events-content, .meta-label, .lawyr-mid-wrap.full-width h2 span, #review_form_wrapper span.comment-reply-title, .woocommerce table.shop_table th, .woocommerce .cart-collaterals .cart_totals h2, .woocommerce-page .cart-collaterals .cart_totals h2, .woocommerce-checkout h3, .cart-collaterals .shipping-title, .woocommerce-checkout .checkout .col-2 h3#ship-to-different-address span {
    color: <?php echo esc_attr($content_heading_color['content_heading_color']); ?>;
  }
  .lawyr-secondary h1, .lawyr-secondary h2, .lawyr-secondary h3, .lawyr-secondary h4, .lawyr-secondary h5, .lawyr-secondary h6,
  .lawyr-widget .widget-title {
    color: <?php echo esc_attr($content_heading_color['sidebar_heading_color']); ?>;
  }
<?php } }
$footer_colors = cs_get_customize_option('footer_colors');
$footer_link_color = cs_get_customize_option('footer_link_color');
if($footer_colors){
if (isset($footer_colors['footer_bg_color']) || isset($footer_colors['footer_heading_color']) || isset($footer_colors['footer_text_color'])) { ?>
  .no-class {}
  .lawyr-footer {
    background: <?php echo esc_attr($footer_colors['footer_bg_color']); ?>;
  }
  .footer-widget h4, .lawyr-footer h1, .lawyr-footer h2, .lawyr-footer h3, .lawyr-footer h4, .footer-widget-title, .footer-widget .widget-title, .footer-widget.widget_rss a.rsswidget {
    color: <?php echo esc_attr($footer_colors['footer_heading_color']); ?>;
  }
  footer.lawyr-footer .footer-widget-area,
  footer.lawyr-footer .footer-widget,
  footer.lawyr-footer .lawyr-widget p,
  footer.lawyr-footer .lawyr-widget p span,
  footer.lawyr-footer .lawyr-widget span,
  footer.lawyr-footer .lawyr-widget ul li,
  footer.lawyr-footer .footer-widget-area,
  footer.lawyr-footer .lawyr-widget p,
  footer.lawyr-footer .lawyr-recent-blog .widget-bdate,
  .lawyr-footer-wrap,
  footer.lawyr-footer table td,
  footer.lawyr-footer caption, .lawyr-footer .footer-item p,
  footer.lawyr-footer .lawyr-widget input[type="email"],
  .footer-widget .tp_recent_tweets ul li,
  footer.lawyr-footer .widget_archive ul li, .footer-widget.lawyr-item.widget_calendar caption,
  .footer-widget .nice-select .current, .footer-widget .nice-select ul li,
  .footer-widget ul li,
  footer.lawyr-footer .widget_search form input[type="text"], .footer-widget p,
  footer.lawyr-footer .post-date,
  footer.lawyr-footer select,
  footer.lawyr-footer .footer-newsletter-widget input[type="email"], .footer-widget .calendar_wrap thead th,
  .footer-widget .calendar_wrap tbody td,
  .footer-widget.woocommerce ul.product_list_widget .woocommerce-Price-amount,
  .footer-widget.woocommerce ul.cart_list .woocommerce-Price-amount,
  .footer-widget.woocommerce ul.product_list_widget .woocommerce-Price-amount,
  .footer-widget input[type="search"] {
    color: <?php echo esc_attr($footer_colors['footer_text_color']); ?>;
  }
<?php } }
if($footer_link_color){
if (isset($footer_link_color['color']) || isset($footer_link_color['hover'])) { ?>
  .no-class {}
  footer.lawyr-footer a,
  footer.lawyr-footer .footer-widget .lawyr-widget ul li a,
  footer.lawyr-footer .lawyr-widget a span,
  footer.lawyr-footer .widget_list_style ul a,
  footer.lawyr-footer .widget_categories ul a,
  footer.lawyr-footer .widget_archive ul a,
  footer.lawyr-footer .widget_recent_comments ul a,
  footer.lawyr-footer .widget_recent_entries ul a,
  footer.lawyr-footer .widget_meta ul a,
  footer.lawyr-footer .widget_pages ul a,
  footer.lawyr-footer .widget_rss ul a,
  footer.lawyr-footer .widget_nav_menu ul a,
  footer.lawyr-footer table td a,
  .lawyr-footer ul li a, .lawyr-footer .footer-item a,
  footer.lawyr-footer .footer-widget .lawyr-widget ul li a,
  .footer-widget .tp_recent_tweets ul li a,
  .footer-widget.lawyr-item.widget_calendar a,
  .footer-widget.woocommerce ul.product_list_widget li a, .footer-widget.footer-widget.widget_rss li a {
    color: <?php echo esc_attr($footer_link_color['color']); ?>;
  }
  footer.lawyr-footer a:hover,
  footer.lawyr-footer .footer-widget .lawyr-widget ul li a:hover,
  footer.lawyr-footer .lawyr-widget a:hover span,
  footer.lawyr-footer .widget_list_style ul a:hover,
  footer.lawyr-footer .widget_categories ul a:hover,
  footer.lawyr-footer .widget_archive ul a:hover,
  footer.lawyr-footer .widget_recent_comments ul a:hover,
  footer.lawyr-footer .widget_recent_entries ul a:hover,
  footer.lawyr-footer .widget_meta ul a:hover,
  footer.lawyr-footer .widget_pages ul a:hover,
  footer.lawyr-footer .widget_rss ul a:hover,
  footer.lawyr-footer .widget_nav_menu ul a:hover,
  footer.lawyr-footer table td a:hover,
  .lawyr-footer ul li a:hover,
  .lawyr-footer .footer-item a:hover,
  footer.lawyr-footer .footer-widget .lawyr-widget ul li a:hover,
  .footer-widget .tp_recent_tweets ul li a:hover,
  .footer-widget .tp_recent_tweets ul li a:focus,
  .footer-widget.lawyr-item.widget_calendar a:hover,
  .footer-widget.lawyr-item.widget_calendar a:focus,
  .footer-widget.woocommerce ul.product_list_widget li a:hover, .footer-widget.footer-widget.widget_rss li a:hover {
    color: <?php echo esc_attr($footer_link_color['hover']); ?>;
  }
<?php } }
$copyright_colors = cs_get_customize_option('copyright_colors');
$copyright_link_color = cs_get_customize_option('copyright_link_color');
if($copyright_colors){
if (isset($copyright_colors['copyright_bg_color']) || isset($copyright_colors['copyright_text_color'])) { ?>
  .no-class {}
  .lawyr-copyright {
    background-color: <?php echo esc_attr($copyright_colors['copyright_bg_color']); ?>;
  }
  .lawyr-copyright,
  .lawyr-footer .lawyr-copyright .copyright-wrap p,
  .lawyr-footer .lawyr-copyright .copyright-links li {
    color: <?php echo esc_attr($copyright_colors['copyright_text_color']); ?>;
  }
<?php } }
if($copyright_link_color) {
if ($copyright_link_color['color'] || $copyright_link_color['hover']) { ?>
  .no-class {}
  .lawyr-copyright a, .lawyr-copyright .lawyr-social a {
    color: <?php echo esc_attr($copyright_link_color['color']); ?>;
  }
  .lawyr-copyright a:hover, .lawyr-copyright .lawyr-social a:hover {
    color: <?php echo esc_attr($copyright_link_color['hover']); ?>;
  }
<?php } }

// Mobile Menu Breakpoint
$mobile_breakpoint = cs_get_option('mobile_breakpoint');
$breakpoint = $mobile_breakpoint ? $mobile_breakpoint : '1199'; ?>
@media (max-width: <?php echo esc_attr($breakpoint); ?>px) {
  .no-class {}
  .lawyr-header .lawyr-navigation {
    display: none !important;
  }
  .lawyr-header {
    padding: 0;
  }
  .lawyr-brand {
    padding: 20px 0;
  }
  .lawyr-header .hide-link,
  .header-link .header-right-btn,
  .header-link {
    display: none;
  }
  .contact-link {
    display: none;
  }
  .contact-link {
    display: none;
  }
  .lawyr-brand {
    text-align: left;
  }
  .lawyr-brand img {
    width: 240px;
    height: auto;
  }
  .lawyr-header .hide-link {
    display: none;
  }
  .dropdown-nav {
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
  }
  .mean-container .mean-nav ul li {
    padding: 0;
  }
  .lawyr-navigation-wrap {
    display: none;
  }
  .lawyr-topbar.hide-topbar-responsive {
    display: none;
  }
}

<?php
if(isset(cs_get_option('theme_typo')['body_font'])) {
$body_font_family       = cs_get_option('theme_typo')['body_font']['font-family'];
$body_font_bkp_family   = cs_get_option('theme_typo')['body_font']['backup-font-family'];
$body_font_weight       = cs_get_option('theme_typo')['body_font']['font-weight'];
$body_font_style        = cs_get_option('theme_typo')['body_font']['font-style'];
$body_font_align        = cs_get_option('theme_typo')['body_font']['text-align'];
$body_font_variant      = cs_get_option('theme_typo')['body_font']['font-variant'];
$body_font_transform    = cs_get_option('theme_typo')['body_font']['text-transform'];
$body_font_decoration   = cs_get_option('theme_typo')['body_font']['text-decoration'];
$body_font_size         = cs_get_option('theme_typo')['body_font']['font-size'];
$body_font_height       = cs_get_option('theme_typo')['body_font']['line-height'];
$body_font_ltr_spacing  = cs_get_option('theme_typo')['body_font']['letter-spacing'];
$body_font_word_spacing = cs_get_option('theme_typo')['body_font']['word-spacing'];
$body_font_color        = cs_get_option('theme_typo')['body_font']['color'];
$body_css               = cs_get_option('theme_typo')['body_css'];
$body_css = $body_css ? ', '.$body_css : '';
// LawrulesWP htmlspecialchars
?>
body, .dropdown-nav, .caption-wrap p, input[type="submit"], .lawyr-link-two, .mate-comment input[type="submit"], blockquote p, .woocommerce ul.cart_list, .woocommerce ul.product_list_widget, .woocommerce #review_form #respond input[type="text"], .woocommerce #review_form #respond input[type="email"], .woocommerce #review_form #respond textarea, form label <?php echo esc_attr($body_css); ?> {
  <?php
  $body_font_bkp_family        = $body_font_bkp_family   ? ', '.$body_font_bkp_family : '';
  if ($body_font_family)             { ?> font-family: "<?php echo esc_attr($body_font_family);?>"<?php echo htmlspecialchars($body_font_bkp_family);?>;<?php }
  if ($body_font_weight)       { ?> font-weight:     <?php echo esc_attr($body_font_weight);?>;<?php }
  if ($body_font_style)        { ?> font-style:      <?php echo esc_attr($body_font_style);?>;<?php }
  if ($body_font_align)        { ?> text-align:      <?php echo esc_attr($body_font_align);?>;<?php }
  if ($body_font_variant)      { ?> font-variant:    <?php echo esc_attr($body_font_variant);?>;<?php }
  if ($body_font_transform)    { ?> text-transform:  <?php echo esc_attr($body_font_transform);?>;<?php }
  if ($body_font_decoration)   { ?> text-decoration: <?php echo esc_attr($body_font_decoration);?>;<?php }
  if ($body_font_size)         { ?> font-size:       <?php echo esc_attr($body_font_size);?>px;<?php }
  if ($body_font_height)       { ?> line-height:     <?php echo esc_attr($body_font_height);?>px;<?php }
  if ($body_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($body_font_ltr_spacing);?>px;<?php }
  if ($body_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($body_font_word_spacing);?>px;<?php }
  if ($body_font_color)        { ?> color:           <?php echo esc_attr($body_font_color);?>;<?php } ?>
}
<?php
} if(isset(cs_get_option('theme_typo')['menu_font'])) {
$menu_font_family       = cs_get_option('theme_typo')['menu_font']['font-family'];
$menu_font_bkp_family   = cs_get_option('theme_typo')['menu_font']['backup-font-family'];
$menu_font_weight       = cs_get_option('theme_typo')['menu_font']['font-weight'];
$menu_font_style        = cs_get_option('theme_typo')['menu_font']['font-style'];
$menu_font_align        = cs_get_option('theme_typo')['menu_font']['text-align'];
$menu_font_variant      = cs_get_option('theme_typo')['menu_font']['font-variant'];
$menu_font_transform    = cs_get_option('theme_typo')['menu_font']['text-transform'];
$menu_font_decoration   = cs_get_option('theme_typo')['menu_font']['text-decoration'];
$menu_font_size         = cs_get_option('theme_typo')['menu_font']['font-size'];
$menu_font_height       = cs_get_option('theme_typo')['menu_font']['line-height'];
$menu_font_ltr_spacing  = cs_get_option('theme_typo')['menu_font']['letter-spacing'];
$menu_font_word_spacing = cs_get_option('theme_typo')['menu_font']['word-spacing'];
$menu_font_color        = cs_get_option('theme_typo')['menu_font']['color'];
$menu_css               = cs_get_option('theme_typo')['menu_css'];
$menu_css = $menu_css ? ', '.$menu_css : '';

?>
.lawyr-navigation, .lawyr-navigation > ul > li, .mean-container .mean-nav ul li a<?php echo esc_attr($menu_css); ?> {
  <?php
  $menu_font_bkp_family        = $menu_font_bkp_family   ? ', '.$menu_font_bkp_family : '';
  if ($menu_font_family)             { ?> font-family: "<?php echo esc_attr($menu_font_family);?>"<?php echo htmlspecialchars($menu_font_bkp_family);?>;<?php }
  if ($menu_font_weight)       { ?> font-weight:     <?php echo esc_attr($menu_font_weight);?>;<?php }
  if ($menu_font_style)        { ?> font-style:      <?php echo esc_attr($menu_font_style);?>;<?php }
  if ($menu_font_align)        { ?> text-align:      <?php echo esc_attr($menu_font_align);?>;<?php }
  if ($menu_font_variant)      { ?> font-variant:    <?php echo esc_attr($menu_font_variant);?>;<?php }
  if ($menu_font_transform)    { ?> text-transform:  <?php echo esc_attr($menu_font_transform);?>;<?php }
  if ($menu_font_decoration)   { ?> text-decoration: <?php echo esc_attr($menu_font_decoration);?>;<?php }
  if ($menu_font_size)         { ?> font-size:       <?php echo esc_attr($menu_font_size);?>px;<?php }
  if ($menu_font_height)       { ?> line-height:     <?php echo esc_attr($menu_font_height);?>px;<?php }
  if ($menu_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($menu_font_ltr_spacing);?>px;<?php }
  if ($menu_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($menu_font_word_spacing);?>px;<?php }
  if ($menu_font_color)        { ?> color:           <?php echo esc_attr($menu_font_color);?>;<?php } ?>
}
<?php
} if(isset(cs_get_option('theme_typo')['sub_menu_font'])) {
$sub_menu_font_family       = cs_get_option('theme_typo')['sub_menu_font']['font-family'];
$sub_menu_font_bkp_family   = cs_get_option('theme_typo')['sub_menu_font']['backup-font-family'];
$sub_menu_font_weight       = cs_get_option('theme_typo')['sub_menu_font']['font-weight'];
$sub_menu_font_style        = cs_get_option('theme_typo')['sub_menu_font']['font-style'];
$sub_menu_font_align        = cs_get_option('theme_typo')['sub_menu_font']['text-align'];
$sub_menu_font_variant      = cs_get_option('theme_typo')['sub_menu_font']['font-variant'];
$sub_menu_font_transform    = cs_get_option('theme_typo')['sub_menu_font']['text-transform'];
$sub_menu_font_decoration   = cs_get_option('theme_typo')['sub_menu_font']['text-decoration'];
$sub_menu_font_size         = cs_get_option('theme_typo')['sub_menu_font']['font-size'];
$sub_menu_font_height       = cs_get_option('theme_typo')['sub_menu_font']['line-height'];
$sub_menu_font_ltr_spacing  = cs_get_option('theme_typo')['sub_menu_font']['letter-spacing'];
$sub_menu_font_word_spacing = cs_get_option('theme_typo')['sub_menu_font']['word-spacing'];
$sub_menu_font_color        = cs_get_option('theme_typo')['sub_menu_font']['color'];
$sub_menu_css               = cs_get_option('theme_typo')['sub_menu_css'];
$sub_menu_css = $sub_menu_css ? ', '.$sub_menu_css : '';

?>
.dropdown-nav > li, .dropdown-nav, .mean-container .mean-nav ul.sub-menu li a<?php echo esc_attr($sub_menu_css); ?> {
  <?php
  $sub_menu_font_bkp_family        = $sub_menu_font_bkp_family   ? ', '.$sub_menu_font_bkp_family : '';
  if ($sub_menu_font_family)             { ?> font-family: "<?php echo esc_attr($sub_menu_font_family);?>"<?php echo htmlspecialchars($sub_menu_font_bkp_family);?>;<?php }
  if ($sub_menu_font_weight)       { ?> font-weight:     <?php echo esc_attr($sub_menu_font_weight);?>;<?php }
  if ($sub_menu_font_style)        { ?> font-style:      <?php echo esc_attr($sub_menu_font_style);?>;<?php }
  if ($sub_menu_font_align)        { ?> text-align:      <?php echo esc_attr($sub_menu_font_align);?>;<?php }
  if ($sub_menu_font_variant)      { ?> font-variant:    <?php echo esc_attr($sub_menu_font_variant);?>;<?php }
  if ($sub_menu_font_transform)    { ?> text-transform:  <?php echo esc_attr($sub_menu_font_transform);?>;<?php }
  if ($sub_menu_font_decoration)   { ?> text-decoration: <?php echo esc_attr($sub_menu_font_decoration);?>;<?php }
  if ($sub_menu_font_size)         { ?> font-size:       <?php echo esc_attr($sub_menu_font_size);?>px;<?php }
  if ($sub_menu_font_height)       { ?> line-height:     <?php echo esc_attr($sub_menu_font_height);?>px;<?php }
  if ($sub_menu_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($sub_menu_font_ltr_spacing);?>px;<?php }
  if ($sub_menu_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($sub_menu_font_word_spacing);?>px;<?php }
  if ($sub_menu_font_color)        { ?> color:           <?php echo esc_attr($sub_menu_font_color);?>;<?php } ?>
}
<?php
} if(isset(cs_get_option('theme_typo')['headings_font'])) {
$headings_font_family       = cs_get_option('theme_typo')['headings_font']['font-family'];
$headings_font_bkp_family   = cs_get_option('theme_typo')['headings_font']['backup-font-family'];
$headings_font_weight       = cs_get_option('theme_typo')['headings_font']['font-weight'];
$headings_font_style        = cs_get_option('theme_typo')['headings_font']['font-style'];
$headings_font_align        = cs_get_option('theme_typo')['headings_font']['text-align'];
$headings_font_variant      = cs_get_option('theme_typo')['headings_font']['font-variant'];
$headings_font_transform    = cs_get_option('theme_typo')['headings_font']['text-transform'];
$headings_font_decoration   = cs_get_option('theme_typo')['headings_font']['text-decoration'];
$headings_font_size         = cs_get_option('theme_typo')['headings_font']['font-size'];
$headings_font_height       = cs_get_option('theme_typo')['headings_font']['line-height'];
$headings_font_ltr_spacing  = cs_get_option('theme_typo')['headings_font']['letter-spacing'];
$headings_font_word_spacing = cs_get_option('theme_typo')['headings_font']['word-spacing'];
$headings_font_color        = cs_get_option('theme_typo')['headings_font']['color'];
$headings_css               = cs_get_option('theme_typo')['headings_css'];
$headings_css = $headings_css ? ', '.$headings_css : '';

?>
h1, h2, h3, h4, h5, h6, .lawyr-location-name, .text-logo, #ship-to-different-address span <?php echo esc_attr($headings_css); ?> {
  <?php
  $headings_font_bkp_family        = $headings_font_bkp_family   ? ', '.$headings_font_bkp_family : '';
  if ($headings_font_family)             { ?> font-family: "<?php echo esc_attr($headings_font_family);?>"<?php echo htmlspecialchars($headings_font_bkp_family);?>;<?php }
  if ($headings_font_weight)       { ?> font-weight:     <?php echo esc_attr($headings_font_weight);?>;<?php }
  if ($headings_font_style)        { ?> font-style:      <?php echo esc_attr($headings_font_style);?>;<?php }
  if ($headings_font_align)        { ?> text-align:      <?php echo esc_attr($headings_font_align);?>;<?php }
  if ($headings_font_variant)      { ?> font-variant:    <?php echo esc_attr($headings_font_variant);?>;<?php }
  if ($headings_font_transform)    { ?> text-transform:  <?php echo esc_attr($headings_font_transform);?>;<?php }
  if ($headings_font_decoration)   { ?> text-decoration: <?php echo esc_attr($headings_font_decoration);?>;<?php }
  if ($headings_font_size)         { ?> font-size:       <?php echo esc_attr($headings_font_size);?>px;<?php }
  if ($headings_font_height)       { ?> line-height:     <?php echo esc_attr($headings_font_height);?>px;<?php }
  if ($headings_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($headings_font_ltr_spacing);?>px;<?php }
  if ($headings_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($headings_font_word_spacing);?>px;<?php }
  if ($headings_font_color)        { ?> color:           <?php echo esc_attr($headings_font_color);?>;<?php } ?>
}
<?php
} if(isset(cs_get_option('theme_typo')['shortcode_prime_font'])) {
$shortcode_prime_font_family       = cs_get_option('theme_typo')['shortcode_prime_font']['font-family'];
$shortcode_prime_font_bkp_family   = cs_get_option('theme_typo')['shortcode_prime_font']['backup-font-family'];
$shortcode_prime_font_weight       = cs_get_option('theme_typo')['shortcode_prime_font']['font-weight'];
$shortcode_prime_font_style        = cs_get_option('theme_typo')['shortcode_prime_font']['font-style'];
$shortcode_prime_font_align        = cs_get_option('theme_typo')['shortcode_prime_font']['text-align'];
$shortcode_prime_font_variant      = cs_get_option('theme_typo')['shortcode_prime_font']['font-variant'];
$shortcode_prime_font_transform    = cs_get_option('theme_typo')['shortcode_prime_font']['text-transform'];
$shortcode_prime_font_decoration   = cs_get_option('theme_typo')['shortcode_prime_font']['text-decoration'];
$shortcode_prime_font_size         = cs_get_option('theme_typo')['shortcode_prime_font']['font-size'];
$shortcode_prime_font_height       = cs_get_option('theme_typo')['shortcode_prime_font']['line-height'];
$shortcode_prime_font_ltr_spacing  = cs_get_option('theme_typo')['shortcode_prime_font']['letter-spacing'];
$shortcode_prime_font_word_spacing = cs_get_option('theme_typo')['shortcode_prime_font']['word-spacing'];
$shortcode_prime_font_color        = cs_get_option('theme_typo')['shortcode_prime_font']['color'];
$shortcode_prime_css               = cs_get_option('theme_typo')['shortcode_prime_css'];
$shortcode_prime_css = $shortcode_prime_css ? ', '.$shortcode_prime_css : '';

?>
p, .lawyr-topbar.topbar-style-one, .contact-link, .lawyr-btn,
h2.price-title,
.stats-title, .case-evaluation form input[type="submit"], .mate-meta,
.testimonial-meta, .blog-date, .blog-comments, .footer-widget ul,
.about-subtitle, .about-link span, .history-year, .practice-title,
.story-subtitle, .btn-link:before, .faq-label-title, .skills-subtitle,
.mate-info-meta ul, .bullet-list, .pagination, .wp-link-pages, .lawyr-pagination, .lawyr-widget ul, .post-date,
.popular-tags a, .social-label, .more-post-link, .form-submit input[type="submit"],
.area-style-three .area-item .lawyr-link, .woocommerce .woocommerce-ordering select,
.woocommerce span.onsale, .woocommerce ul.products li.product .price,
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span,
.woocommerce .price_slider_amount button.button, .amount-label, .woocommerce ul.cart_list .woocommerce-Price-amount,
.woocommerce ul.product_list_widget .woocommerce-Price-amount, .product_meta, .woocommerce .quantity .qty,
.woocommerce div.product form.cart .button, .woocommerce #content table.cart td.actions .input-text,
.woocommerce table.cart td.actions .input-text, .woocommerce-page #content table.cart td.actions .input-text,
.woocommerce-page table.cart td.actions .input-text, .woocommerce .cart .actions .coupon input[type="submit"],
.woocommerce .cart .actions .coupon button[type="submit"],
.woocommerce .cart .actions input[type="submit"].update-cart,
.woocommerce .cart .actions button[type="submit"], .calculate-shipping form input,
.calculate-shipping form textarea, .calculate-shipping form select, .woocommerce .cart_totals table.shop_table,
.woocommerce .wc-proceed-to-checkout .button.alt, .woocommerce form .form-row input.button,
.woocommerce form .form-row label.inline, .woocommerce .woocommerce-checkout-review-order table.shop_table,
.woocommerce .wc_payment_method .wpcf7-list-item-label a, .lawyr-account input[type="submit"], .error-title,
.lawyr-error input[type="submit"],.woocommerce .widget_shopping_cart ul.product_list_widget li .quantity, .widget_categories select, .widget_archive select, table#wp-calendar, .comments-form, .lawyr-comment-form .comment-form-cookies-consent label, .woocommerce .widget_price_filter .price_slider_amount .price_label <?php echo esc_attr($shortcode_prime_css); ?> {
  <?php
  $shortcode_prime_font_bkp_family        = $shortcode_prime_font_bkp_family   ? ', '.$shortcode_prime_font_bkp_family : '';
  if ($shortcode_prime_font_family)             { ?> font-family: "<?php echo esc_attr($shortcode_prime_font_family);?>"<?php echo htmlspecialchars($shortcode_prime_font_bkp_family);?>;<?php }
  if ($shortcode_prime_font_weight)       { ?> font-weight:     <?php echo esc_attr($shortcode_prime_font_weight);?>;<?php }
  if ($shortcode_prime_font_style)        { ?> font-style:      <?php echo esc_attr($shortcode_prime_font_style);?>;<?php }
  if ($shortcode_prime_font_align)        { ?> text-align:      <?php echo esc_attr($shortcode_prime_font_align);?>;<?php }
  if ($shortcode_prime_font_variant)      { ?> font-variant:    <?php echo esc_attr($shortcode_prime_font_variant);?>;<?php }
  if ($shortcode_prime_font_transform)    { ?> text-transform:  <?php echo esc_attr($shortcode_prime_font_transform);?>;<?php }
  if ($shortcode_prime_font_decoration)   { ?> text-decoration: <?php echo esc_attr($shortcode_prime_font_decoration);?>;<?php }
  if ($shortcode_prime_font_size)         { ?> font-size:       <?php echo esc_attr($shortcode_prime_font_size);?>px;<?php }
  if ($shortcode_prime_font_height)       { ?> line-height:     <?php echo esc_attr($shortcode_prime_font_height);?>px;<?php }
  if ($shortcode_prime_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($shortcode_prime_font_ltr_spacing);?>px;<?php }
  if ($shortcode_prime_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($shortcode_prime_font_word_spacing);?>px;<?php } ?>
  <?php if ($shortcode_prime_font_color)        { ?> color:           <?php echo esc_attr($shortcode_prime_font_color);?>;<?php } ?>
}
<?php
} if(isset(cs_get_option('theme_typo')['shortcode_secon_font'])) {
$shortcode_secon_font_family       = cs_get_option('theme_typo')['shortcode_secon_font']['font-family'];
$shortcode_secon_font_bkp_family   = cs_get_option('theme_typo')['shortcode_secon_font']['backup-font-family'];
$shortcode_secon_font_weight       = cs_get_option('theme_typo')['shortcode_secon_font']['font-weight'];
$shortcode_secon_font_style        = cs_get_option('theme_typo')['shortcode_secon_font']['font-style'];
$shortcode_secon_font_align        = cs_get_option('theme_typo')['shortcode_secon_font']['text-align'];
$shortcode_secon_font_variant      = cs_get_option('theme_typo')['shortcode_secon_font']['font-variant'];
$shortcode_secon_font_transform    = cs_get_option('theme_typo')['shortcode_secon_font']['text-transform'];
$shortcode_secon_font_decoration   = cs_get_option('theme_typo')['shortcode_secon_font']['text-decoration'];
$shortcode_secon_font_size         = cs_get_option('theme_typo')['shortcode_secon_font']['font-size'];
$shortcode_secon_font_height       = cs_get_option('theme_typo')['shortcode_secon_font']['line-height'];
$shortcode_secon_font_ltr_spacing  = cs_get_option('theme_typo')['shortcode_secon_font']['letter-spacing'];
$shortcode_secon_font_word_spacing = cs_get_option('theme_typo')['shortcode_secon_font']['word-spacing'];
$shortcode_secon_font_color        = cs_get_option('theme_typo')['shortcode_secon_font']['color'];
$shortcode_secon_css               = cs_get_option('theme_typo')['shortcode_secon_css'];
$shortcode_secon_css = $shortcode_secon_css ? ', '.$shortcode_secon_css : '';

?>
.consultation-form input[type="submit"], .woocommerce table.shop_table td.product-price, .woocommerce table.shop_table td.product-subtotal, .woocommerce-checkout-review-order h3 <?php echo esc_attr($shortcode_secon_css); ?> {
  <?php
  $shortcode_secon_font_bkp_family        = $shortcode_secon_font_bkp_family   ? ', '.$shortcode_secon_font_bkp_family : '';
  if ($shortcode_secon_font_family)             { ?> font-family: "<?php echo esc_attr($shortcode_secon_font_family);?>"<?php echo htmlspecialchars($shortcode_secon_font_bkp_family);?>;<?php }
  if ($shortcode_secon_font_weight)       { ?> font-weight:     <?php echo esc_attr($shortcode_secon_font_weight);?>;<?php }
  if ($shortcode_secon_font_style)        { ?> font-style:      <?php echo esc_attr($shortcode_secon_font_style);?>;<?php }
  if ($shortcode_secon_font_align)        { ?> text-align:      <?php echo esc_attr($shortcode_secon_font_align);?>;<?php }
  if ($shortcode_secon_font_variant)      { ?> font-variant:    <?php echo esc_attr($shortcode_secon_font_variant);?>;<?php }
  if ($shortcode_secon_font_transform)    { ?> text-transform:  <?php echo esc_attr($shortcode_secon_font_transform);?>;<?php }
  if ($shortcode_secon_font_decoration)   { ?> text-decoration: <?php echo esc_attr($shortcode_secon_font_decoration);?>;<?php }
  if ($shortcode_secon_font_size)         { ?> font-size:       <?php echo esc_attr($shortcode_secon_font_size);?>px;<?php }
  if ($shortcode_secon_font_height)       { ?> line-height:     <?php echo esc_attr($shortcode_secon_font_height);?>px;<?php }
  if ($shortcode_secon_font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($shortcode_secon_font_ltr_spacing);?>px;<?php }
  if ($shortcode_secon_font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($shortcode_secon_font_word_spacing);?>px;<?php } ?>
  <?php if ($shortcode_secon_font_color)        { ?> color:           <?php echo esc_attr($shortcode_secon_font_color);?>;<?php } ?>
}
<?php
} 
$custom_typography = cs_get_option('custom_typography');
if( ! empty( $custom_typography ) ) {
  foreach ( $custom_typography as $custom_style ) {
    $custom_css = $custom_style['custom_css'];
    $custom_typo = $custom_style['custom_typo'];

    $font_family       = $custom_typo['font-family'];
    $font_bkp_family   = $custom_typo['backup-font-family'];
    $font_weight       = $custom_typo['font-weight'];
    $font_style        = $custom_typo['font-style'];
    $font_align        = $custom_typo['text-align'];
    $font_variant      = $custom_typo['font-variant'];
    $font_transform    = $custom_typo['text-transform'];
    $font_decoration   = $custom_typo['text-decoration'];
    $font_size         = $custom_typo['font-size'];
    $font_height       = $custom_typo['line-height'];
    $font_ltr_spacing  = $custom_typo['letter-spacing'];
    $font_word_spacing = $custom_typo['word-spacing'];
    $font_color        = $custom_typo['color'];
    $font_bkp_family   = $font_bkp_family   ? ', '.$font_bkp_family : '';

    if( ! empty( $custom_css ) ) {

      echo esc_attr($custom_css) ?> { <?php
        if ($font_family)             { ?> font-family: "<?php echo esc_attr($font_family);?>"<?php echo htmlspecialchars($font_bkp_family);?>;<?php }
        if ($font_weight)       { ?> font-weight:     <?php echo esc_attr($font_weight);?>;<?php }
        if ($font_style)        { ?> font-style:      <?php echo esc_attr($font_style);?>;<?php }
        if ($font_align)        { ?> text-align:      <?php echo esc_attr($font_align);?>;<?php }
        if ($font_variant)      { ?> font-variant:    <?php echo esc_attr($font_variant);?>;<?php }
        if ($font_transform)    { ?> text-transform:  <?php echo esc_attr($font_transform);?>;<?php }
        if ($font_decoration)   { ?> text-decoration: <?php echo esc_attr($font_decoration);?>;<?php }
        if ($font_size)         { ?> font-size:       <?php echo esc_attr($font_size);?>px;<?php }
        if ($font_height)       { ?> line-height:     <?php echo esc_attr($font_height);?>px;<?php }
        if ($font_ltr_spacing)  { ?> letter-spacing:  <?php echo esc_attr($font_ltr_spacing);?>px;<?php }
        if ($font_word_spacing) { ?> word-spacing:    <?php echo esc_attr($font_word_spacing);?>px;<?php }
        if ($font_color)        { ?> color:           <?php echo esc_attr($font_color);?>;<?php } ?>
      }<?php

    }
  }
}

$font_family       = cs_get_option( 'custom_font_family' );

if( ! empty( $font_family ) ) {

  foreach ( $font_family as $font ) {
    echo '@font-face{';

    echo 'font-family: "'. $font['name'] .'";';

    if( empty( $font['css'] ) ) {
      echo 'font-style: normal;';
      echo 'font-weight: normal;';
    } else {
      echo esc_attr($font['css']);
    }

    echo ( ! empty( $font['ttf']  ) ) ? 'src: url('. esc_url($font['ttf']).');' : '';
    echo ( ! empty( $font['eot']  ) ) ? 'src: url('. esc_url($font['eot']).');' : '';
    echo ( ! empty( $font['woff'] ) ) ? 'src: url('. esc_url($font['woff']) .');' : '';
    echo ( ! empty( $font['otf']  ) ) ? 'src: url('. esc_url($font['otf']).');' : '';

    echo '}';
  }

}
echo '</style>';
}
add_action('lawrules-dynamic-styles', 'lawrules_scripts_styles_func');