<?php
// Main Text
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

$left_copyright_text = cs_get_option('copyright_text');
$right_copyright_text = cs_get_option('copyright_text_right');

$copyright_layout = cs_get_option('copyright_layout');

if ($copyright_layout === 'copyright-1') {
	$layout_class = 'pull-left';
	$seclayout_class = 'pull-right';
} elseif ($copyright_layout === 'copyright-2') {
	$layout_class = 'pull-right';
	$seclayout_class = 'pull-left';
} elseif ($copyright_layout === 'copyright-3') {
	$layout_class = 'col-sm-12 aligncenter';
} else {
	$layout_class = 'pull-left';
	$seclayout_class = 'pull-right';
}
?>
<!-- Copyright Bar -->
<?php if ($left_copyright_text) { ?>
  <div class="<?php echo esc_attr($layout_class); ?>">
  	<?php do_action( 'lawrules_before_copyright_left_action' ); // Lawrules Action
    echo do_shortcode($left_copyright_text);
  	do_action( 'lawrules_after_copyright_left_action' ); // Lawrules Action ?>
  </div>
<?php }
if ($right_copyright_text && $copyright_layout !== 'copyright-3') { ?>
  <div class="<?php echo esc_attr($seclayout_class); ?>">
		<?php do_action( 'lawrules_before_copyright_right_action' ); // Lawrules Action
    echo do_shortcode($right_copyright_text);
		do_action( 'lawrules_after_copyright_right_action' ); // Lawrules Action ?>
  </div>
<?php }
