<?php
// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lawrules_id : false;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

$lawrules_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$lawrules_breakpoint = $lawrules_mobile_breakpoint ? $lawrules_mobile_breakpoint : '1199';
?>
<!-- Navigation & Search -->
<?php do_action( 'lawrules_before_menu_action' ); // Lawrules Action 
if ( has_nav_menu( 'primary' ) ) { ?>
<nav class="lawyr-navigation" data-nav="<?php echo esc_attr($lawrules_breakpoint); ?>">
<?php
  if ($lawrules_meta) {
    $lawrules_choose_menu = $lawrules_meta['choose_menu'];
  } else { $lawrules_choose_menu = ''; }
  $lawrules_choose_menu = $lawrules_choose_menu ? $lawrules_choose_menu : '';
  wp_nav_menu(
    array(
      'menu'              => 'primary',
      'theme_location'    => 'primary',
      'container'         => '',
      'container_class'   => '',
      'container_id'      => '',
      'menu'              => $lawrules_choose_menu,
      'menu_class'        => '',
      'fallback_cb'       => 'lawrules_wp_bootstrap_navwalker::fallback',
      'walker'            => new lawrules_wp_bootstrap_navwalker()
    )
  );
?>
</nav> <!-- Container -->
<?php } do_action( 'lawrules_after_menu_action' ); // Lawrules Action
