<?php
// Metabox
global $post;
$lawrules_id    = ( isset( $post ) ) ? $post->ID : false;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lawrules_id : false;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
if($lawrules_meta) {
  $topbar_options = $lawrules_meta['topbar_options'];
} else {
  $topbar_options = '';
}
if($lawrules_meta && $topbar_options === 'custom') {
  $topbar_style = $lawrules_meta['topbar_style'];
  $lawrules_top_left = $lawrules_meta['top_left'];
  $lawrules_top_right = $lawrules_meta['top_right'];
} else {
  $topbar_style = cs_get_option('topbar_style');
  $lawrules_top_left = cs_get_option('top_left');
  $lawrules_top_right = cs_get_option('top_right');
}
$lawrules_top_left = $lawrules_top_left ? $lawrules_top_left : cs_get_option('top_left');
$lawrules_top_right = $lawrules_top_right ? $lawrules_top_right : cs_get_option('top_right');

$lawrules_hide_topbar_check = cs_get_option('top_bar');
$top_bar_in_responsive = cs_get_option('top_bar_in_responsive');
if ($lawrules_hide_topbar_check) {
  $lawrules_hide_topbar = 'hide';
} else {
  $lawrules_hide_topbar = 'show';
}

if($top_bar_in_responsive) {
  $top_bar_in_responsive_class = ' hide-topbar-responsive';
} else {
  $top_bar_in_responsive_class = '';
}

if($topbar_style === 'style-two') {
  $top_style_cls = ' topbar-style-two';
} else {
  $top_style_cls = ' topbar-style-one';
}

if($lawrules_hide_topbar === 'show') {
  if($lawrules_top_left || $lawrules_top_right ) {
    if($topbar_options != 'hide_topbar') { ?>
      <!-- Cspir Topbar -->
      <div class="lawyr-topbar <?php echo esc_attr($top_style_cls.$top_bar_in_responsive_class); ?>">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-md-6"><?php echo do_shortcode($lawrules_top_left); ?></div>
            <div class="col-md-6">
              <div class="textright">
                <?php echo do_shortcode($lawrules_top_right); ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    <?php }
  }
} // Hide Topbar - From Metabox
