<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php
$lawrules_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($lawrules_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($lawrules_all_element_color); ?>">
<link rel="profile" href="//gmpg.org/xfn/11">

<?php
wp_head();
if (lawrules_is_elementor()) {
  $layout_class = 'container-fluid';
} else {
  $layout_class = 'container';
}
?>
</head>
	<body <?php body_class(); ?>>
    <div class="lawyr-mid-wrap vt-maintenance-mode">
      <div class="<?php echo esc_attr($layout_class); ?>">
        <div class="row">
          <div class="col-md-12">
            <?php
              $lawrules_page = get_post( cs_get_option('maintenance_mode_page') );
              if (lawrules_is_elementor()) {
                echo ( is_object( $lawrules_page ) ) ? do_shortcode( '[lawrules_elementor_template id="'.$lawrules_page->ID.'"]' ) : '';
              } else {
                echo ( is_object( $lawrules_page ) ) ? do_shortcode( $lawrules_page->post_content ) : '';
              }
            ?>
          </div>
        </div>
      </div>
    </div>
    <?php wp_footer(); ?>
  </body>
</html>
<?php
